### Method

# Secret Service clear_sync

#### Declaration [src]

    gboolean
    secret_service_clear_sync (
      SecretService* service,
      const SecretSchema* schema,
      GHashTable* attributes,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Remove unlocked items which match the attributes from the secret service.

The `attributes` should be a set of key and value string pairs.

If `service` is `NULL`, then `secret_service_get_sync()` will be called to get the default `SecretService` proxy.

This method may block indefinitely and should not be used in user interface threads.

#### Parameters

`service`

  Type: `SecretService`

  The secret service.

  The argument can be `NULL`.

`schema`

  Type: `SecretSchema`

  The schema for the attributes.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`attributes`

  Type: `GHashTable`

  The attribute keys and values.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether items were removed or not.